package com.unis.base.server.domain;


import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.unis.base.common.vo.TyJhxxmxbVO;
import com.unis.base.server.dao.TyJhxxmxbDao;
import com.unis.base.server.entity.TyJhxxmxbDO;
import com.unis.common.utils.LsBeanUtils;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyJhxxmxbDomain
 * @ProjectName 持久化
 * @Description
 * @date 2019/07/22 17点26分
 */
@Component
public class TyJhxxmxbDomain extends BaseDomain {

	@Autowired
	private TyJhxxmxbDao tyJhxxmxbMapper;

	/**
	 *
	 * @param TyJhxxmxbVO
	 * @return
	 */
	public List<TyJhxxmxbVO> getTyJhxxmxbList(TyJhxxmxbVO tyJhxxmxbVO) {
		TyJhxxmxbDO dCfxxsjyDO = new TyJhxxmxbDO();
		//进行传递参数copy
		LsBeanUtils.copyAllProperties(tyJhxxmxbVO,dCfxxsjyDO);
		List<TyJhxxmxbVO> TyJhxxmxbVOList = new ArrayList<TyJhxxmxbVO>();

		for (TyJhxxmxbDO TyJhxxmxbDO : tyJhxxmxbMapper.selectAlls(dCfxxsjyDO)) {
			LsBeanUtils.copyAllProperties(TyJhxxmxbDO,tyJhxxmxbVO);
			TyJhxxmxbVOList.add(tyJhxxmxbVO);
		}
		return TyJhxxmxbVOList;
	}

	/**
	 *
	 * @param TyJhxxmxbVO
	 * @return
	 */
	public int insert(TyJhxxmxbVO tyJhxxmxbVO) {
		//进行传递参数copy
		TyJhxxmxbDO TyJhxxmxbDO = new TyJhxxmxbDO();
		LsBeanUtils.copyAllProperties(tyJhxxmxbVO,TyJhxxmxbDO);
		return tyJhxxmxbMapper.insert(TyJhxxmxbDO);
	}

	/**
	 *
	 * @param jhxxid
	 * @return
	 */
	public TyJhxxmxbVO getTyJhxxmxbById(String jhxxid) {
		TyJhxxmxbVO tyJhxxmxbVO = new TyJhxxmxbVO();
		LsBeanUtils.copyAllProperties(tyJhxxmxbMapper.selectByKey(jhxxid), tyJhxxmxbVO);
		return tyJhxxmxbVO;
	}

	/**
	 *
	 * @param TyJhxxmxbVO
	 * @return
	 */
	public int update(TyJhxxmxbVO tyJhxxmxbVO) {
		//进行传递参数copy
		TyJhxxmxbDO tyJhxxmxbDO = new TyJhxxmxbDO();
		LsBeanUtils.copyAllProperties(tyJhxxmxbVO,tyJhxxmxbDO);
		return tyJhxxmxbMapper.updateByPrimaryKey(tyJhxxmxbDO);
	}

}
